/**
*Programme cree par The Clusters
*Interface des mains du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;
import chkoba.*;
import java.rmi.*;
import java.util.*;

/**
*	Interface Main
**/

public interface IMain extends Remote
{
	//METHODES
	
	public void remove( ICarte c ) throws RemoteException ;
	public void remove( int i ) throws RemoteException ;
	public void removeAll( ArrayList<ICarte> array ) throws RemoteException;
	public void add() throws RemoteException ;
	public void add(int index, ICarte c) throws RemoteException ;
	public void remplirMain() throws RemoteException;
	public int indexOf( ICarte c) throws RemoteException;
	
	//ACCESSEURS
	
	public ICarte get( int i ) throws RemoteException ;
	public int size() throws RemoteException;
	public boolean estVide() throws RemoteException;
	
	//AFFICHAGE
	
	public String affiche( ) throws RemoteException ;	
}